<?php //$Id: block_mycourse_config.php


class block_mycourse_config extends block_base {

    function init() {
        $this->title = get_string('blockname', 'block_mycourse_config');
        $this->version = 2008021400;
    }

    function applicable_formats() {
        return array('my' => true);
    }

    function specialization() {
        $this->title = get_string('blockname', 'block_mycourse_config');
    }

    function instance_allow_multiple() {
        return false;
    }

    function get_content() {
        global $CFG;
		$courseid = optional_param('id', PARAM_INT);   // course id
		
		if ($this->content !== NULL) {
           return $this->content;
        }
        
    	////////////////////////

        $this->content = new stdClass;
        $this->content->items = array();
        $this->content->icons = array();
        $this->content->footer = '';

        if (empty($this->instance)) {
            return $this->content = '';
        } else if ($this->instance->pageid == SITEID) {
            // return $this->content = '';
        }

        if (!empty($this->instance->pageid)) {
            $context = get_context_instance(CONTEXT_COURSE, $this->instance->pageid);
        }

        if (empty($context)) {
            $context = get_context_instance(CONTEXT_SYSTEM);
        }

        if (!$course = get_record('course', 'id', $this->instance->pageid)) {
            $course = $SITE;
        }

        if (empty($CFG->loginhttps)) {
            $securewwwroot = $CFG->wwwroot;
        } else {
            $securewwwroot = str_replace('http:','https:',$CFG->wwwroot);
        }
        ///////////

        $filteropt = new stdClass;
        $filteropt->noclean = true;

        $this->content = new stdClass;
		
		//don't show on front page
		$PAGE = page_create_object(PAGE_COURSE_VIEW, SITEID);
		//echo '<pre>';var_dump($PAGE);echo '</pre>';
		if( !($PAGE->body_id == 'my-index')){
			return 1;
		}
/*
		//-- checking capability --//
		if (has_capability('moodle/course:view', $context)) {
			//printf("you have permission!!");
		}else{
			$this->content->text .= get_string('permissiondenied', 'block_mycourse_config');
			return 1;
		}
*/

		 
        $this->content->text .= '<form action="'.$CFG->wwwroot.'/blocks/mycourse_config/reorder.php">';
 		$this->content->text .= '<input type="hidden" name="courseid" value="'.$courseid.'">';
		 
		//bottom
		$this->content->text .= '<dev><center>';
		$buttomname = get_string('bname', 'block_mycourse_config');
		$this->content->text .= '<br> <input type="submit" value="' .$buttomname. '" />';
		$this->content->text .= '</center></dev>';
		
		$this->content->text .= '</form>';
		
		$this->content->footer = ' ';
//echo $courseid;
        unset($filteropt); // memory footprint

        return $this->content;
    }
}
?>
